<div>
  <h2 id="page-heading" data-cy="PeriodoHeading">
    <span jhiTranslate="matrixApp.periodo.home.title">Periodos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.periodo.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-periodo"
        [routerLink]="['/periodo/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.periodo.home.createLabel">Criar novo Periodo</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="periodos?.length === 0">
    <span jhiTranslate="matrixApp.periodo.home.notFound">Nenhum Periodo encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="periodos && periodos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.periodo.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="descricao">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.periodo.descricao">Descricao</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="matriz.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.periodo.matriz">Matriz</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let periodo of periodos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/periodo', periodo.id, 'view']">{{ periodo.id }}</a>
          </td>
          <td>{{ periodo.descricao }}</td>
          <td>
            <div *ngIf="periodo.matriz">
              <a [routerLink]="['/matriz', periodo.matriz.id, 'view']">{{ periodo.matriz.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/periodo', periodo.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/periodo', periodo.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(periodo)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
